/**
 * @author sbarthon
 * @date 20/06/2024
 * @version 1.0.0
 * @project sieau
 * @table analyses_controles
 */

# --- !Ups

insert into analyses_controles select distinct 'ERR.AQ.1', 'Le résultat est inférieur au seuil de contrôle', '1','PC',1 where not exists (select code from analyses_controles where code='ERR.AQ.1');
insert into analyses_controles select distinct 'ERR.AQ.2', 'Le résultat est supérieur au seuil de contrôle', '1','PC',1 where not exists (select code from analyses_controles where code='ERR.AQ.2');
insert into analyses_controles select distinct 'ERR.AQ.3', 'Le code de qualification n''est pas renseigné', '1','PC',1 where not exists (select code from analyses_controles where code='ERR.AQ.3');
insert into analyses_controles select distinct 'ERR.AQ.4', 'Le code de statut n''est pas renseigné', '1','PC',1 where not exists (select code from analyses_controles where code='ERR.AQ.4');
insert into analyses_controles select distinct 'ERR.AQ.5', 'En l''absence de résultat, la qualification ne peut être Correcte', '1','PC',1 where not exists (select code from analyses_controles where code='ERR.AQ.5');
insert into analyses_controles select distinct 'ERR.AQ.6', 'En l''absence de code remarque, le statut doit être Donnée brute', '1','PC',1 where not exists (select code from analyses_controles where code='ERR.AQ.6');
insert into analyses_controles select distinct 'ERR.AQ.7', 'Si le code remarque est absent ou vaut 0 (non fait) 5 (incomptable) ou 6 (non individualisable), le résultat de l''analyse ne doit pas être renseigné', '1','PC',1 where not exists (select code from analyses_controles where code='ERR.AQ.7');
insert into analyses_controles select distinct 'ERR.AQ.8', 'Si le code remarque est différent de 0 (non fait) 5 (incomptable) ou 6 (non individualisable), le résultat de l''analyse doit être renseigné', '1','PC',1 where not exists (select code from analyses_controles where code='ERR.AQ.8');
insert into analyses_controles select distinct 'ERR.AQ.9', 'Le code remarque est 1 (domaine de validité) mais le résultat n''est pas égal à la limite de quantification de la méthode', '1','PC',1 where not exists (select code from analyses_controles where code='ERR.AQ.9');
insert into analyses_controles select distinct 'ERR.AQ.10', 'Le code remarque est 7 (Traces) ou 10 (Inférieur à la LQ) et le résultat est différent de la limite de quantification', '1','PC',1 where not exists (select code from analyses_controles where code='ERR.AQ.10');
insert into analyses_controles select distinct 'ERR.AQ.11', 'Le code remarque est 2 (Inférieur à la limite de détection) et le résultat est différent de la limite de détection', '1','PC',1 where not exists (select code from analyses_controles where code='ERR.AQ.11');
insert into analyses_controles select distinct 'ERR.AQ.12', 'Le code remarque est Présence ou absence et le résultat est différent de 1 (présence) ou 2 (absence)', '1','PC',1 where not exists (select code from analyses_controles where code='ERR.AQ.12');
insert into analyses_controles select distinct 'ERR.AQ.13', 'La date de l''analyse est antérieure à la date de début de prélèvement', '1','PC',1 where not exists (select code from analyses_controles where code='ERR.AQ.13');
insert into analyses_controles select distinct 'ERR.AQ.14', 'Le paramètre de l''analyse n''est pas renseigné', '1','PC',1 where not exists (select code from analyses_controles where code='ERR.AQ.14');
insert into analyses_controles select distinct 'ERR.AQ.15', 'L''unité de l''analyse n''est pas renseignée', '1','PC',1 where not exists (select code from analyses_controles where code='ERR.AQ.15');
insert into analyses_controles select distinct 'ERR.AQ.16', 'La date de l''analyse est supérieure à la date du jour', '1','PC',1 where not exists (select code from analyses_controles where code='ERR.AQ.16');
insert into analyses_controles select distinct 'ERR.AQ.17', 'La date du prélèvement est supérieure à la date du jour', '1','PC',1 where not exists (select code from analyses_controles where code='ERR.AQ.17');
insert into analyses_controles select distinct 'ERR.AQ.18', 'Le dénombrement est inférieur au seuil de contrôle', '1','HYD',1 where not exists (select code from analyses_controles where code='ERR.AQ.18');
insert into analyses_controles select distinct 'ERR.AQ.19', 'Le dénombrement est supérieur au seuil de contrôle', '1','HYD',1 where not exists (select code from analyses_controles where code='ERR.AQ.19');
insert into analyses_controles select distinct 'ERR.AQ.20', 'Le code de qualification n''est pas renseigné', '1','HYD',1 where not exists (select code from analyses_controles where code='ERR.AQ.20');
insert into analyses_controles select distinct 'ERR.AQ.21', 'Le code de statut n''est pas renseigné', '1','HYD',1 where not exists (select code from analyses_controles where code='ERR.AQ.21');
insert into analyses_controles select distinct 'ERR.AQ.22', 'En l''absence de détermination, la qualification ne peut être Correcte', '1','HYD',1 where not exists (select code from analyses_controles where code='ERR.AQ.22');
insert into analyses_controles select distinct 'ERR.AQ.23', 'En l''absence de code remarque, le statut doit être Donnée brute', '1','HYD',1 where not exists (select code from analyses_controles where code='ERR.AQ.23');
insert into analyses_controles select distinct 'ERR.AQ.24', 'Si le code remarque est absent ou vaut 0 (non fait) 5 (incomptable) ou 6 (non individualisable), le dénombrement ne doit pas être renseigné', '1','HYD',1 where not exists (select code from analyses_controles where code='ERR.AQ.24');
insert into analyses_controles select distinct 'ERR.AQ.25', 'Si le code remarque est différent de 0 (non fait) 5 (incomptable) ou 6 (non individualisable), le dénombrement doit être renseigné', '1','HYD',1 where not exists (select code from analyses_controles where code='ERR.AQ.25');
insert into analyses_controles select distinct 'ERR.AQ.26', 'Le code remarque est Présence ou Absence et le résultat est différent de 1 (présence) ou 2 (absence)', '1','HYD',1 where not exists (select code from analyses_controles where code='ERR.AQ.26');
insert into analyses_controles select distinct 'ERR.AQ.27', 'Le code taxon du dénombrement n''est pas renseigné', '1','HYD',1 where not exists (select code from analyses_controles where code='ERR.AQ.27');
insert into analyses_controles select distinct 'ERR.AQ.28', 'La date du prélèvement est supérieure à la date du jour', '1','HYD',1 where not exists (select code from analyses_controles where code='ERR.AQ.28');
insert into analyses_controles select distinct 'ERR.AQ.29', 'Le résultat est inférieur au seuil de contrôle', '1','RES',1 where not exists (select code from analyses_controles where code='ERR.AQ.29');
insert into analyses_controles select distinct 'ERR.AQ.30', 'Le résultat est supérieur au seuil de contrôle', '1','RES',1 where not exists (select code from analyses_controles where code='ERR.AQ.30');
insert into analyses_controles select distinct 'ERR.AQ.31', 'Le code Sandre du résultat n''est pas renseigné', '1','RES',1 where not exists (select code from analyses_controles where code='ERR.AQ.31');
insert into analyses_controles select distinct 'WAR.AGRI.1', 'Une demande est effectuée alors que l''exploitation est indiquée fermée', '1','AGRI',1 where not exists (select code from analyses_controles where code='WAR.AGRI.1');
insert into analyses_controles select distinct 'WAR.AGRI.2', 'Une demande est effectuée alors qu''aucune demande n''est enregistrée l''année précédente', '1','AGRI',1 where not exists (select code from analyses_controles where code='WAR.AGRI.2');
insert into analyses_controles select distinct 'WAR.AGRI.3', 'pas de demande alors que demande les années précédentes', '1','AGRI',1 where not exists (select code from analyses_controles where code='WAR.AGRI.3');
insert into analyses_controles select distinct 'WAR.AGRI.4', 'pas de volume demande pour l''année', '1','AGRI',1 where not exists (select code from analyses_controles where code='WAR.AGRI.4');
insert into analyses_controles select distinct 'WAR.AGRI.5', 'demande différente de +/- 20% par rapport à l''année précédente ', '1','AGRI',1 where not exists (select code from analyses_controles where code='WAR.AGRI.5');
insert into analyses_controles select distinct 'WAR.AGRI.6', 'les demandes par culture dépassent le besoin plafond de la culture', '1','AGRI',1 where not exists (select code from analyses_controles where code='WAR.AGRI.6');
insert into analyses_controles select distinct 'WAR.AGRI.7', 'les index n''ont pas été déclarés sur l''année précédente', '1','AGRI',1 where not exists (select code from analyses_controles where code='WAR.AGRI.7');
insert into analyses_controles select distinct 'WAR.AGRI.8', 'la consommation réelle (index) est différente de +/- 50% par rapport à la demande', '1','AGRI',1 where not exists (select code from analyses_controles where code='WAR.AGRI.8');
insert into analyses_controles select distinct 'WAR.AGRI.9', 'pas de surface déclarée pour l''année sur les surfaces irriguées', '1','AGRI',1 where not exists (select code from analyses_controles where code='WAR.AGRI.9');
insert into analyses_controles select distinct 'WAR.AGRI.10', 'surface demandée différente de +/- 20% par rapport à l''année précédente', '1','AGRI',1 where not exists (select code from analyses_controles where code='WAR.AGRI.10');
insert into analyses_controles select distinct 'ERR.AQ.32', 'La limite de quantification est supérieure ou égale au seuil de saturation', '1','PC',1 where not exists (select code from analyses_controles where code='ERR.AQ.32');
insert into analyses_controles select distinct 'ERR.AQ.33', 'La donnée est non qualifiée mais n''a pas le statut Donnée brute', '1','PC',1 where not exists (select code from analyses_controles where code='ERR.AQ.33');
insert into analyses_controles select distinct 'ERR.AQ.34', 'Le TIMESTAMP de la date de prélèvement est vide', '1','PC',1 where not exists (select code from analyses_controles where code='ERR.AQ.34');
insert into analyses_controles select distinct 'ERR.AQ.35', 'Le code remarque est 7 (Traces) et le résultat est différent de la limite de quantification ou à la limite de détection', '1','PC',1 where not exists (select code from analyses_controles where code='ERR.AQ.35');


# --- !Downs

